<div #miamCatalogTopAnchor class="miam-catalog-anchor"></div>
<div *ngIf="!creatingRecipe else creationPage" class="miam-personal-recipes">
  <ng-miam-recipe-filters
    [filters]="filters"
    (filterReset)="resetFilters()"
    (filterChanged)="updateFilters($event)"
    (filterCollapsed)="onFilterCollapsed()">
  </ng-miam-recipe-filters>

  <div class="miam-personal-recipes__content" [ngClass]="{'filter-collapsed': isFilterCollapsed}">

    <ng-miam-catalog-header 
      [displayReturnButton]="false"
      [forcedPictureUrl]="forcedPictureUrl"
      [title]="homePageTitle"
      (searchStringChanged)="updateSearch($event)">
    </ng-miam-catalog-header>

    <div class="miam-personal-recipes__list">
      <ng-miam-catalog-list
        [filters]="filters"
        [noRecipeTextFirstLine]="noRecipeTextFirstLine"
        [noRecipeTextSecondLine]="noRecipeTextSecondLine"
        (filterRemoved)="removeFilter($event)"
        [insertCreateCard]="true"
        (retrievedRecipes)="isListEmpty($event)"
        (recipeActionTriggered)="manageRecipeAction($event)">
      </ng-miam-catalog-list>
    </div>
    <div *ngIf="displayCreateButton" class="miam-personal-recipes__list__new">
      <div class="m-button-primary" (click)="goToCreatePage()">
        <span>Nouvelle recette</span>
        <ng-miam-icon [width]="24" [height]="24" primaryColor='var(--m-color-white)' [iconName]="icon.CircledPlus"></ng-miam-icon>
      </div>
    </div>
  </div>
</div>
<ng-template #creationPage>
  <ng-miam-recipe-stepper [recipe]="recipeToUpdate" (recipeChange)="leaveCreatePage()" (canceled)="leaveCreatePage()"></ng-miam-recipe-stepper>
</ng-template>
